GFCKSUM(1)

NAME
gfcksum - print checksum

SYNOPSIS

gfcksum [-rl] [-T | -t] path...

gfcksum -c [-rlv] [-h host] path...

DESCRIPTION

gfcksum prints checksum of specified files. When -r option is specified, it prints checksum of subentries in the specified directories recursively.

When -t option is specified, only checksum type which is currently set to the file is printed. When -T option is specified, which checksum type will be calculated is printed.

When the -c option is specified, it calculates the checksum of the specified files, and compares it with the checksum stored in the metadata. The -h option specifies the location of the file replica to be calculated. With the -v option, the verbose information including modification time of the file replica is displayed.

If the -l option is present, gfcksum displays a path for each file. By default, gfcksum shows its basename only.

OPTIONS

-r
    Displays subdirectories recursively.

-c
    Calculates the checksum of the specified files, and compares it with the checksum stored in the metadata.

-h host
    Specifies the location of the file replica, when the -c option is specified.

-v
    Displays the verbose information including modification time of the file replica, when the -c option is specified.

-l
    Displays a path for each file. By default, gfcksum shows its basename only.

-?
    Displays a list of command options.